# $Id$

use strict;
use warnings;

use Test::More tests => 4;
use ObsData::Archive;
use File::Temp qw(tempdir);

my $tempdir = tempdir;
print $tempdir . "\n";

my $oa = ObsData::Archive->new('testdata/coin.tar.gz');

isa_ok($oa, 'ObsData::Archive::Tar');
my ($list) = $oa->ls();
ok($list eq 'coin', "Can list its contents");

ok($oa->extract('coin', "$tempdir/coin"), "Can extract the file");
ok(-r "$tempdir/coin", "the file has been really extract");

system(qw(rm -fr), $tempdir);
